Subject: Re: ASCII and BINARY files. Why?
From: [email-masked]

31 Jan 1997 16:03:22 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: The issue of modes on pipes would be much less of a problem if the
: mechanism for converting between DOS/Win text and C native
: text were a 1:1 mapping (i.e. NL->CRLF, CRLF->NL, CR->CR(always),
: (and LF->NL, but that's a side-issue)).  This way, if I want to pipe
: "gzip -dc file | tar xvf -" (as I often do), it wouldn't matter what mode
: the pipe was created in as  long as it was the same mode on both ends,
: because any changes introduced in a C->text conversion would be exactly
: reversed in the text->C conversion on the other end of the pipe.

Sounds good.
But how do you define LF vs. NL? I consider them to be the same.

I often use "tar cvvf - . | gzip > file".
[Your next paragraph about file redirection deleted]

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".